* {
    margin:     0;
    padding:    0;
    box-sizing: border-box;
}

body {
    height:   100vh;
    overflow: hidden;
}

section {
    display:         flex;
    justify-content: center;
    align-items:     center;
    height:          100vh;
    background:      linear-gradient(to bottom, #f1f4f9, #5c0808);
}

.color {
    position: absolute;
    filter:   blur(150px);
}

.color:nth-child(1) {
    width:      40%;
    height:     90%;
    background: #ff359b;
    top:        -350px
}

.color:nth-child(2) {
    width:      45%;
    height:     70%;
    background: #fffd87;
    bottom:     -150px;
    left:       100px;
}

.color:nth-child(3) {
    width:      40%;
    height:     45%;
    background: #00d2ff;
    bottom:     10px;
    right:      100px;
}

.box {
    position: relative;

}

.container {
    position:        relative;
    width:           400px;
    min-height:      400px;
    background:      rgb(255, 255, 255, 0.1);
    border-radius:   10px;
    display:         flex;
    justify-content: center;
    align-items:     center;
    backdrop-filter: blur(5px);
    box-shadow:      0 25px 45px rgb(0, 0, 0, 0.1);
    border:          1px solid rgba(255, 255, 255, 0.5);
    border-right:    1px solid rgba(255, 255, 255, 0.2);
    border-bottom:   1px solid rgba(255, 255, 255, 0.2);
}

.form {
    position: relative;
    width:    100%;
    height:   100%;
    padding:  40px;
}

h2 {
    position:       relative;
    color:          #fff;
    font-size:      24px;
    font-weight:    bold;
    letter-spacing: 1px;
    margin-bottom:  40px;
}

h2::before {
    content:    "";
    position:   absolute;
    left:       0;
    bottom:     -10px;
    width:      80px;
    height:     4px;
    background: #fff;
}

.input-box {
    width:      100%;
    margin-top: 20px;
}

.input-box input {
    width:          100%;
    background:     rgb(255, 255, 255, 0.2);
    outline:        none;
    padding:        10px 20px;
    border-radius:  20px;
    border:         1px solid rgba(255, 255, 255, 0.5);
    border-right:   1px solid rgba(255, 255, 255, 0.2);
    border-bottom:  1px solid rgba(255, 255, 255, 0.2);
    font-size:      16px;
    letter-spacing: 1px;
    color:          #fff;
    box-shadow:     0 5px 15px rgba(0, 0, 0, 0.05);
}

.input-box input::placeholder {
    color: #fff;
}

.input-box input[type="submit"] {
    color:         white;
    background:    #392e5ab3;
    max-width:     100px;
    margin-bottom: 20px;
    cursor:        pointer;
}

.input-box input[type="submit"]:hover {
    box-shadow: 2px 3px 5px rgb(179, 232, 228);
}

.forget {
    margin-top: 5px;
    color:      #c95b5b;
}

.forget a {
    color: #3463ffd4;
}

.square {
    position:        absolute;
    box-shadow:      0 25px 45px rgb(0, 0, 0, 0.1);
    border:          1px solid rgba(255, 255, 255, 0.5);
    border-right:    1px solid rgba(255, 255, 255, 0.2);
    border-bottom:   1px solid rgba(255, 255, 255, 0.2);
    border-radius:   10px;
    animation:       animate 6s linear infinite;
    animation-delay: calc(-1s * var(--i))
}

@keyframes animate {
    0%, 100% {
        transform: translateY(-40px);
    }
    50% {
        transform: translateY(0px);
    }
}

.square:nth-child(1) {
    top:    -50px;
    right:  -60px;
    width:  100px;
    height: 100px;
}

.square:nth-child(2) {
    top:     150px;
    left:    -100px;
    width:   120px;
    height:  120px;
    z-index: 2;
}

.square:nth-child(3) {
    bottom:  50px;
    right:   -60px;
    width:   80px;
    height:  80px;
    z-index: 2;
}

.square:nth-child(4) {
    bottom: -80px;
    left:   100px;
    width:  50px;
    height: 50px;
}

.square:nth-child(5) {
    top:    -80px;
    left:   100px;
    width:  60px;
    height: 60px;
}


